Package org.apache.sysds.runtime.matrix.data

## Class IJV

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.IJV

    public class IJV
    extends Object

Helper class for external key/value exchange.

### Constructor Summary

Constructors
`IJV()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getI()`
`int` `getJ()`
`double` `getV()`
`boolean` `onDiag()`
`IJV` `set​(int i, int j, double v)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IJV

    public IJV()

### Method Detail

#### set

    public IJV set​(int i,
                   int j,
                   double v)

#### getI

    public int getI()

#### getJ

    public int getJ()

#### getV

    public double getV()

#### onDiag

    public boolean onDiag()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`